# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['automation_engine', 'automation_engine.mqtt', 'automation_engine.plugins']

package_data = \
{'': ['*']}

install_requires = \
['gmqtt>=0.6.10,<0.7.0',
 'prometheus-client>=0.14.1,<0.15.0',
 'pydantic>=1.9.2,<2.0.0']

extras_require = \
{':python_version <= "3.10"': ['tomli>=2.0.1,<3.0.0'],
 'all': ['hue2mqtt>=0.4.0,<0.5.0'],
 'hue': ['hue2mqtt>=0.4.0,<0.5.0']}

setup_kwargs = {
    'name': 'automation-engine',
    'version': '0.5.0',
    'description': 'Automation Engine powered by MQTT',
    'long_description': '# Automation Engine\n\nA lightweight and flexible framework to automate things with MQTT.\n\n## What is Automation Engine?\n\nAutomation Engine is a Python framework for building automations using MQTT. The most common use case for this is automating a smart home where devices publish their state to a MQTT broker.\n\nThe leading self-hosted solution for this at the time of writing is [Home Assistant](https://www.home-assistant.io), which is a great piece of open-source software. However, the automations framework in Home Assistant is quite limited, and you usually have to build multiple flows to achieve a single "automation".\n\nAutomation Engine is intended for home automation enthusiasts who prefer writing short snippets of Python, rather than building a large number of GUI "flows". As such, Automation Engine is similar to [NodeRED](https://nodered.org), but uses Python rather than a browser-based editor.\n\n## Prometheus Metrics\n\nPrometheus metrics are exposed on port `9832` by default. The port can be configured via the `metrics_port` config key.\n\n## Contributions\n\nThis project is released under the MIT Licence. For more information, please see LICENSE.\n\nThe CONTRIBUTORS file can be generated by executing CONTRIBUTORS.gen. This generated file contains a list of people who have contributed to Automation Engine.\n\n',
    'author': 'Dan Trickey',
    'author_email': 'contact@trickey.io',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/trickeydan/automation-engine',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
